function [ obj_data ] = region_data( obj, cc, objekty )
% Vraci informace o objektech v obraze
%   Vstupy: cc = struktura vytvorena pomoci bwconncomp, obj = obraz,
%   objekty = jednotlive objekty v obraze ziskane z funkce regiony
%   Vystup: graindata = informace o objektech

obj_data = regionprops(cc, 'basic'); % Vytvori strukturu s informacemi o objektech
                                        % Area = velikost objektu
                                        % Centroid = stred objektu
                                        % Bounding Box = ?
                                        

obj_data_obsah = [obj_data.Area]; % velikosti regionu                                       
[min_area, idx] = min(obj_data_obsah); % nejmensi objekt
disp(['Nejmensi objekt je velky: ' num2str(min_area) ' pixelu a nachazi se na: ' ...
    num2str(idx) '. miste']);
obraz = false(size(obj)); % vytvari matici s hodnotami 0 o velikosti obj
obraz(cc.PixelIdxList{idx}) = true; % zapise nejmensi objekt do matice

%% Zobrazeni cernobile reprezentace a nejmensiho objektu v obraze
% figure;
% subplot 121
% imshow(obj);
% title('Origo obraz prevedeny do Black/White');
% 
% subplot 122
% imshow(obraz);
% title('Nejmensi objekt v obrazu');

%% Zobrazeni histogramu podle velikosti
% figure
% histogram(grain_areas) % Zobrazi v histogramu zastoupeni velikosti objektu
% title('Histogram of Rice Grain Area');


%% Zobrazeni sesti nahodnych objektu v obraze
% figure
% for i = 1:6
%     subplot(2,3,i) 
%     imshow(objekty{randi(length(objekty))});
% end

end

